V5 compatibility with Activiti 7.0.0.SR1 version not working.

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Member II

V5 compatibility with Activiti 7.0.0.SR1 version not working.

Hi,

we have decided to moving activiti 5.15.1 to 7.0.0.SR1 version.

V5 compatibility are provided in document with version 6 and same as we are trying with both version 6 and 7 but our Activiti 5.15.1 version workflow was not going to execute with V5 compatibility jar.

we have doing following configuration on our project.

Gradle dependency :

compile group: 'org.activiti', name: 'activiti5-engine', version: '6.0.0'
compile group: 'org.activiti', name: 'activiti5-spring', version: '6.0.0'
compile group: 'org.activiti', name: 'activiti5-compatibility', version: '6.0.0'
compile group: 'org.activiti', name: 'activiti5-spring-compatibility', version: '6.0.0'

Bean configuration :: 

bean id="processEngineConfiguration" class="org.activiti.spring.SpringProcessEngineConfiguration">
<property name="activiti5CompatibilityEnabled" value="true" />
<property name="activiti5CompatibilityHandlerFactory" ref="activiti5CompabilityFactory" />
</bean>

<bean id="activiti5CompabilityFactory" class="org.activiti.compatibility.spring.SpringActiviti5CompatibilityHandlerFactory" />

Please suggest how we can achieve this???